Subject: bug#41194: 28.0.50; [feature/native-comp] fibn benchmark exhausts memory

From: Kévin Le Gouguec <[email-masked]>
Date: Wed, 10 Jun 2020 09:55:30 +0200

Andrea Corallo <[email-masked]> writes:

> sorry for the very late reply I just had a look.

No need to apologize!  You've obviously been busy on other fronts.

> The following is going on: being on 32bit system you get into bignums
> end this allocates memory while is looping inside `elb-fibn'.
> Unfortunatelly there's no opportunity of passing through maybe_gc to
> trigger garbage collection because I've not implemented the equivalent
> of what is the quitcounter in the byte interpreter.
>
> I'll come-up with a patch to generate the equivalent code of the
> quitcounter when compiling for speed < 3.
>
> Thanks for the feedback
>
>   Andrea
>
> PS FYI I think memory consumption during compilation (as compile time)
> should be now considerably lowered (but I've still haven't measured it).

Alright!  I'll keep an eye on your branch and on the bugtracker, and
recompile & run my measurements when I spot your patch.